Мазмұнға өту

Gemini Omni Flash

Интеграциялау

Модель идентификаторы google/gemini-omni-flash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: ≈1,271 $ 1 271 API кредиті Осы бетте іске қосу

API кілтін алу
Google Мәтіннен бейнеге Ерін синхрондауыЖылдам3–10 с #stylized#transform#lipsync

Дыбысы синхрондалған, 16:9 немесе 9:16 форматында 3 to 10 секундтық клиптер жасайтын бастапқы нұсқадағы мәтіннен бейне моделі

Google · Бейне

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті 88 / 20000

Қажетті бейнені сипаттайтын мәтін.

aspect_ratio әдепкі 16:9

Шығыс бейнесінің кадр пішімі.

әдепкі 8

Секундпен өлшенетін шығыс бейнесінің ұзақтығы.

Қосымша enable_safety_checker
POST /run/google/gemini-omni-flash?wait=20 бағасы → 1,271 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/google/gemini-omni-flash?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Gemini Omni Flash туралы

Ұзындығы 20000 таңбаға дейінгі мәтіндік нұсқаудан аудиосы бар қысқа бейне жасайды. Кадр пішімі 16:9 немесе 9:16, ұзақтығы 3–10 секунд, әдепкіде 8. 1.1 мәтіндік соңғы нүктесінен айырмашылығы, ажыратымдылық параметрі жоқ және әдепкіде қосулы `enable_safety_checker` жалаушасы бар.

Параметрлер

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
promptміндетті
Түріstring
≤ 20 000 таңба
Қажетті бейнені сипаттайтын мәтін.
aspect_ratioміндетті емес
Түріenum
Әдепкі16:9
16:99:16
Шығыс бейнесінің кадр пішімі.
durationміндетті емес
Түріinteger
Әдепкі8
3 – 10
Секундпен өлшенетін шығыс бейнесінің ұзақтығы.
enable_safety_checkerміндетті емес
Түріboolean
Әдепкіtrue
Шақырушы авторизацияланған болса, false мәнін орнату арқылы тексеруді жеңілдетуге болады.
міндетті

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1271,
    "usd": "1.271",
    "charged": 1271,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
video
object {url, content_type, file_name, file_size}Модель жасаған бейне.

Қосымша модельдер: Мәтіннен бейнеге

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/google/gemini-omni-flash.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt